Index: channels/chan_skinny.c
===================================================================
--- channels/chan_skinny.c	(revision 222794)
+++ channels/chan_skinny.c	(working copy)
@@ -4536,8 +4536,6 @@
 
 static int handle_transfer_button(struct skinny_subchannel *sub)
 {
-	struct skinny_line *l = sub->parent;
-	struct skinny_device *d = l->device;
 	struct skinny_subchannel *newsub;
 	struct ast_channel *c;
 	pthread_t t;
@@ -4546,6 +4544,10 @@
 		ast_verbose("Transfer: No subchannel to transfer\n");
 		return -1;
 	}
+
+	struct skinny_line *l = sub->parent;
+	struct skinny_device *d = l->device;
+
 	if (!sub->related) {
 		/* Another sub has not been created so this must be first XFER press */
 		if (!sub->onhold) {
